Debian Bug report logs - #615513
release.debian.org: armhf inclusion into the archive as a release goal

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Hector Oron <zumbi@debian.org>

Date: Sun, 27 Feb 2011 02:15:01 UTC

Severity: wishlist

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, markos@debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Sun, 27 Feb 2011 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to markos@debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sun, 27 Feb 2011 02:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: release.debian.org: armhf inclusion into the archive
Date: Sun, 27 Feb 2011 02:11:07 +0000
Package: release.debian.org
Severity: wishlist

Hello,

  I would like to propose inclusion of Debian ARM for hard float port ('armhf') into Debian main archive as a release goal.
  ARM for hard float porters will add bug blockers to this bug to ease release team work.

Best regards

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-1-686 (SMP w/2 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added blocking bug(s) of 615513: 593049, 539028, 596986, 597000, 595743, 552873, 501414, 596968, 563050, 598933, 590952, 605841, 596952, 527419, 552872, 544831, 604688, 604673, 536544, 580678, 521918, 604792, 604681, 495889, 604662, 533934, 604674, 577364, 604654, 604537, 569118, 591560, 604692, 604651, 589809, 598885, 577899, 543029, 565101, 604693, 604666, 596989, 552881, 602169, 598936, 605013, 604527, 604653, 604656, 577029, 598923, 602668, 565001, 604691, 578733, 597920, 604650, 367831, 598937, 604523, 573759, 596996, 588631, 599725, 604649, 604679, 596936, 581277, 604535, 574299, 604665, 604660, 604669, 571389, 604670, 604658, 604107, 596997, 595828, 594179, 604533, 596960, 605842, 605033, and 604664 Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 27 Feb 2011 02:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Sun, 27 Feb 2011 02:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 27 Feb 2011 02:36:03 GMT) Full text and rfc822 format available.

Message #12 received at 615513@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Hector Oron <zumbi@debian.org>, 615513@bugs.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Sun, 27 Feb 2011 03:32:08 +0100
reassign 615513 ftp.debian.org
kthxbye

On Sun, Feb 27, 2011 at 02:11:07 +0000, Hector Oron wrote:

> Package: release.debian.org
> Severity: wishlist
> 
> Hello,
> 
>   I would like to propose inclusion of Debian ARM for hard float port ('armhf') into Debian main archive as a release goal.

What does this have to do with the release team?  We don't run the
archive...

Cheers,
Julien




Bug reassigned from package 'release.debian.org' to 'ftp.debian.org'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 27 Feb 2011 02:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#615513; Package ftp.debian.org. (Sun, 27 Feb 2011 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 27 Feb 2011 02:39:03 GMT) Full text and rfc822 format available.

Message #19 received at 615513@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Julien Cristau <jcristau@debian.org>
Cc: 615513@bugs.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Sun, 27 Feb 2011 02:35:26 +0000
Hello,

2011/2/27 Julien Cristau <jcristau@debian.org>:

> What does this have to do with the release team?  We don't run the
> archive...

The goal is to release next Debian cycle with ('armhf') support, that
is a release goal, hence related to release team.

Cheers,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Changed Bug title to 'release.debian.org: armhf inclusion into the archive as a release goal' from 'release.debian.org: armhf inclusion into the archive' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sun, 27 Feb 2011 02:48:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#615513; Package ftp.debian.org. (Sat, 26 Mar 2011 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sat, 26 Mar 2011 08:00:03 GMT) Full text and rfc822 format available.

Message #26 received at 615513@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Hector Oron <hector.oron@gmail.com>, 615513@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Sat, 26 Mar 2011 07:57:42 +0000
On Sun, 27, Feb, 2011 at 02:35:26AM +0000, Hector Oron spoke thus..
> The goal is to release next Debian cycle with ('armhf') support, that
> is a release goal, hence related to release team.

Hi,

So after some discussion, the ftp team has accepted that the armhf port
should be considered for inclusion and looking at debian-ports.org,
( http://buildd.debian-ports.org/stats/graph-week-big.png ) you seem to
have just around 87.5% of the archive built which is a good start.

To the port into unstable/experimental (and obviously aiming for a
release, but that's up to the release team), you need to co-ordinate
between DSA (for buildd hardware and hosting), the buildd team (for
integration into the main buildd network) the release team and the
security team.  If all of those teams are happy with the port being
included, wearing my ftpmaster hat, I'll be pleased to start the archive
bootstrapping process with you.

Details of the bootstrapping process can be found at:
http://lists.debian.org/debian-devel-announce/2008/08/msg00009.html

Thanks,

Mark

-- 
Mark Hymers <mhy at debian dot org>

"Oh, this is John Reid who is 'Cabinet Bruiser' which just means that he's
 a bit squat, ugly and unpleasant and therefore gets to be called a 'Bruiser'."
     Jeremy Hardy, The News Quiz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#615513; Package ftp.debian.org. (Sun, 27 Mar 2011 15:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Sun, 27 Mar 2011 15:57:05 GMT) Full text and rfc822 format available.

Message #31 received at 615513@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Mark Hymers <mhy@debian.org>
Cc: 615513@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Sun, 27 Mar 2011 16:53:06 +0100
Hi,

2011/3/26 Mark Hymers <mhy@debian.org>:

> So after some discussion, the ftp team has accepted that the armhf port
> should be considered for inclusion and looking at debian-ports.org,
> ( http://buildd.debian-ports.org/stats/graph-week-big.png ) you seem to
> have just around 87.5% of the archive built which is a good start.

Thanks for considering it and accept it. armhf port needs to be
rebuilt with new triplet and multiarch changes, so inclusion in main
archive should be delayed by some time, we are not ready yet for it.
Konstantinos, please correct me if I am wrong.

> To the port into unstable/experimental (and obviously aiming for a
> release, but that's up to the release team), you need to co-ordinate
> between DSA (for buildd hardware and hosting), the buildd team (for
> integration into the main buildd network) the release team and the
> security team.  If all of those teams are happy with the port being
> included, wearing my ftpmaster hat, I'll be pleased to start the archive
> bootstrapping process with you.

Thank you very much, while we fix the remaining nibbles we'll try to
coordinate with relevant teams about it.

Please note a wiki page has started to meet archive criteria:
  <http://wiki.debian.org/ArchiveQualification/armhf>

Best regards,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."

-- Day DVB-T stop working nicely
Video flare: http://antwrp.gsfc.nasa.gov/apod/ap100510.html




Added blocking bug(s) of 615513: 626101 Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Mon, 09 May 2011 04:30:03 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 615513: 597000 Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Mon, 11 Jul 2011 13:24:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#615513; Package ftp.debian.org. (Fri, 21 Oct 2011 06:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 21 Oct 2011 06:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 615513@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Hector Oron <hector.oron@gmail.com>, 615513@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Konstantinos Margaritis <markos@debian.org>
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Fri, 21 Oct 2011 07:52:46 +0100
On Sun, 27, Mar, 2011 at 04:53:06PM +0100, Hector Oron spoke thus..
> Please note a wiki page has started to meet archive criteria:
>   <http://wiki.debian.org/ArchiveQualification/armhf>

Just a note on this so that the bug report is up-to-date - the armhf
bootstrapping in the archive is waiting on an updated EU syncproxy
machine as we're out of disk space.

Mark

-- 
Mark Hymers <mhy at debian dot org>

"I'm so gorgeous, there's a six month waiting list for birds to suddenly
 appear, every time I am near!"
     Cat, Red Dwarf Series VIII - Back in the Red




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#615513; Package ftp.debian.org. (Tue, 22 Nov 2011 13:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 22 Nov 2011 13:30:04 GMT) Full text and rfc822 format available.

Message #45 received at 615513@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Mark Hymers <mhy@debian.org>, 615513@bugs.debian.org
Cc: Konstantinos Margaritis <markos@debian.org>, 93sam@debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Tue, 22 Nov 2011 13:26:28 +0000
[Message part 1 (text/plain, inline)]
Hello Mark,

On Fri, Oct 21, 2011 at 07:52:46AM +0100, Mark Hymers wrote:
 
> Just a note on this so that the bug report is up-to-date - the armhf
> bootstrapping in the archive is waiting on an updated EU syncproxy
> machine as we're out of disk space.

  Has the status been updated?
  Is there any suitable timing to schedule and archive bootstrap for armhf?

Best regards,
-- 
 Héctor Orón
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#615513; Package ftp.debian.org. (Tue, 22 Nov 2011 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 22 Nov 2011 16:18:03 GMT) Full text and rfc822 format available.

Message #50 received at 615513@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Hector Oron <zumbi@debian.org>
Cc: 615513@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>, 93sam@debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Tue, 22 Nov 2011 16:15:05 +0000
On Tue, 22, Nov, 2011 at 01:26:28PM +0000, Hector Oron spoke thus..
> Hello Mark,
> 
> On Fri, Oct 21, 2011 at 07:52:46AM +0100, Mark Hymers wrote:
>  
> > Just a note on this so that the bug report is up-to-date - the armhf
> > bootstrapping in the archive is waiting on an updated EU syncproxy
> > machine as we're out of disk space.
> 
>   Has the status been updated?
>   Is there any suitable timing to schedule and archive bootstrap for armhf?

As discussed with Sledge this afternoon, the syncproxy issue is now
resolved and we're in planing to get the import going.

Mark

-- 
Mark Hymers <mhy at debian dot org>

"The older I grow, the more I distrust the familiar doctrine that age
 brings wisdom."
     H.L. Mencken




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#615513; Package ftp.debian.org. (Tue, 22 Nov 2011 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Tue, 22 Nov 2011 16:54:03 GMT) Full text and rfc822 format available.

Message #55 received at 615513@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Mark Hymers <mhy@debian.org>
Cc: 615513@bugs.debian.org, Konstantinos Margaritis <markos@debian.org>, 93sam@debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Tue, 22 Nov 2011 16:52:14 +0000
Hello,

2011/11/22 Mark Hymers <mhy@debian.org>:

> As discussed with Sledge this afternoon, the syncproxy issue is now
> resolved and we're in planing to get the import going.

Thanks Mark! Just let me know how, when, what I can do to smooth your work.

Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#615513; Package ftp.debian.org. (Fri, 23 Dec 2011 22:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Fri, 23 Dec 2011 22:03:07 GMT) Full text and rfc822 format available.

Message #60 received at 615513@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 615513@bugs.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Fri, 23 Dec 2011 23:01:37 +0100
reassign 615513 release.debian.org
thanks


armhf support has been added into dak, and archive now ships the
architecture. Reassigning back to release.debian.org to let the Release
Team to handle the issue from now on.




Bug reassigned from package 'ftp.debian.org' to 'release.debian.org'. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Fri, 23 Dec 2011 22:03:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Tue, 03 Jan 2012 22:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Jan 2012 22:03:08 GMT) Full text and rfc822 format available.

Message #67 received at 615513@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 615513@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Tue, 03 Jan 2012 22:00:41 +0000
armhf has now pretty much cleared the needs-build queue (the only things 
left are non-free stuff and recently added stuff) and has built arround 
89% of the archive (placing it between kfreebsd and ia64) with about 
99.5% up to date (placing it between amd64 and i386). Would now be a 
good time to begin inclusion in testing?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Tue, 03 Jan 2012 22:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Jan 2012 22:57:05 GMT) Full text and rfc822 format available.

Message #72 received at 615513@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: peter green <plugwash@p10link.net>, 615513@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Tue, 03 Jan 2012 22:54:08 +0000
On Tue, 2012-01-03 at 22:00 +0000, peter green wrote:
> armhf has now pretty much cleared the needs-build queue (the only things 
> left are non-free stuff and recently added stuff) and has built arround 
> 89% of the archive (placing it between kfreebsd and ia64) with about 
> 99.5% up to date (placing it between amd64 and i386). Would now be a 
> good time to begin inclusion in testing?

I had been planning on having a look at the situation for both armhf and
s390x over the period between Christmas and New Year, but for a variety
of reasons that never happened.  It's still on my short-term to-do list;
it's not quite as simple as just adding the relevant entries to the
configuration file, sadly, or we'd have done it already. :-)

(fwiw, the not-yet-built list includes webkit and ruby1.9.1, each of
which have a number of other packages directly or indirectly stuck
behind them).

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Tue, 03 Jan 2012 23:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Jan 2012 23:06:05 GMT) Full text and rfc822 format available.

Message #77 received at 615513@bugs.debian.org (full text, mbox):

From: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: peter green <plugwash@p10link.net>, 615513@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Tue, 3 Jan 2012 23:04:20 +0000
On Tue, Jan 3, 2012 at 10:54 PM, Adam D. Barratt
<adam@adam-barratt.org.uk> wrote:

> (fwiw, the not-yet-built list includes webkit and ruby1.9.1, each of
> which have a number of other packages directly or indirectly stuck
> behind them).

 ahh... webkit.  do you have a system anywhere that has 2gb of RAM?
if not, i strongly strongly advise skipping the debug builds on any
webkit library.

 as webkit is mostly c++ and as pretty much everything goes into one
massive library with hundreds of object files that are very closely
inter-dependent, linking the library requires a whopping 1.5gb of
*resident* memory in order to complete within a reasonable amount of
time.

 anything outside of that - even by a marginal amount - will result in
the build machine absolutely thrashing its nuts off.

 1gb is not enough (tried it...).  1.5gb will not be enough.  2gb is
the bare minimum for the link stage.

 if you absolutely absolutely must have the debug builds, but there is
nowhere in the world any ARM Cortex A8/9 system with 2gb of RAM, i
strongly advise you to not mess about, and use cross-compiling.

 please feel free to entirely ignore this advice however and pursue
whatever you wish.

 l.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Tue, 03 Jan 2012 23:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Jan 2012 23:06:07 GMT) Full text and rfc822 format available.

Message #82 received at 615513@bugs.debian.org (full text, mbox):

From: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: peter green <plugwash@p10link.net>, 615513@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Tue, 3 Jan 2012 23:05:16 +0000
On Tue, Jan 3, 2012 at 11:04 PM, Luke Kenneth Casson Leighton
<lkcl@lkcl.net> wrote:

>  anything outside of that - even by a marginal amount - will result in
> the build machine absolutely thrashing its nuts off.

 [for anything in excess of 24 hours].




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Wed, 04 Jan 2012 00:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jan 2012 00:27:07 GMT) Full text and rfc822 format available.

Message #87 received at 615513@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 615513@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Wed, 04 Jan 2012 00:24:42 +0000
Luke Kenneth Casson Leighton wrote:
> On Tue, Jan 3, 2012 at 10:54 PM, Adam D. Barratt
> <adam@adam-barratt.org.uk> wrote:
>
>   
>> (fwiw, the not-yet-built list includes webkit and ruby1.9.1, each of
>> which have a number of other packages directly or indirectly stuck
>> behind them).
>>     
>
>  ahh... webkit.  do you have a system anywhere that has 2gb of RAM?
> if not, i strongly strongly advise skipping the debug builds on any
> webkit library.
>
>  as webkit is mostly c++ and as pretty much everything goes into one
> massive library with hundreds of object files that are very closely
> inter-dependent, linking the library requires a whopping 1.5gb of
> *resident* memory in order to complete within a reasonable amount of
> time.
>
>  anything outside of that - even by a marginal amount - will result in
> the build machine absolutely thrashing its nuts off.
>
>  1gb is not enough (tried it...).  1.5gb will not be enough.  2gb is
> the bare minimum for the link stage
Well anthiel built the armel webkit package (including debug packages)
successfully and according to the machines database it only has 1.5Gb of 
ram.
OTOH the build DID take 33 hours.

Furthermore the failure on armhf didn't look like a timeout to me, the error
was "ERROR: can't resolve libraries to shared libraries: 
javascriptcoregtk-3.0, webkitgtk-3.0".






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Wed, 04 Jan 2012 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jan 2012 08:09:03 GMT) Full text and rfc822 format available.

Message #92 received at 615513@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 615513@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Wed, 4 Jan 2012 08:41:08 +0100
On 03/01/12 at 22:54 +0000, Adam D. Barratt wrote:
> (fwiw, the not-yet-built list includes webkit and ruby1.9.1, each of
> which have a number of other packages directly or indirectly stuck
> behind them).

Hi,

FYI, we are considering making 1.9.X the default version of Ruby in
wheezy. It scares me a bit that you want to include armhf in testing
when ruby1.9.1 doesn't build on armhf because the test suite segfaults
(#652674).

Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Wed, 04 Jan 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jan 2012 08:27:04 GMT) Full text and rfc822 format available.

Message #97 received at 615513@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: <615513@bugs.debian.org>, peter green <plugwash@p10link.net>, <debian-arm@lists.debian.org>
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Wed, 04 Jan 2012 08:25:19 +0000
On 04.01.2012 07:41, Lucas Nussbaum wrote:
> On 03/01/12 at 22:54 +0000, Adam D. Barratt wrote:
>> (fwiw, the not-yet-built list includes webkit and ruby1.9.1, each of
>> which have a number of other packages directly or indirectly stuck
>> behind them).
>
> Hi,
>
> FYI, we are considering making 1.9.X the default version of Ruby in
> wheezy. It scares me a bit that you want to include armhf in testing
> when ruby1.9.1 doesn't build on armhf because the test suite 
> segfaults
> (#652674).

Inclusion in testing doesn't imply release architecture status or 
blocking the migration of packages on other architectures, at least at 
this stage of the cycle.  However, if we are going to get any new 
architectures to release status for wheezy, we really need to start 
getting them in to testing soon, to give us more time to fix issues that 
arise.

I know that the porters have been looking at the ruby1.9.1 issue and 
aiui replicated it on another release architecture, but they're better 
placed to expand on that.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Wed, 04 Jan 2012 10:09:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jan 2012 10:09:28 GMT) Full text and rfc822 format available.

Message #102 received at 615513@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 615513@bugs.debian.org, peter green <plugwash@p10link.net>, debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Wed, 4 Jan 2012 12:07:41 +0200
On Wed, Jan 04, 2012 at 08:41:08AM +0100, Lucas Nussbaum wrote:
> FYI, we are considering making 1.9.X the default version of Ruby in
> wheezy. It scares me a bit that you want to include armhf in testing
> when ruby1.9.1 doesn't build on armhf because the test suite segfaults
> (#652674).

We are investigating it. Hector was able to reproduce it on armel as well,
so looks like a wider problem than just armhf..

Riku




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Wed, 04 Jan 2012 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luke Kenneth Casson Leighton <lkcl@lkcl.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Jan 2012 11:27:21 GMT) Full text and rfc822 format available.

Message #107 received at 615513@bugs.debian.org (full text, mbox):

From: Luke Kenneth Casson Leighton <lkcl@lkcl.net>
To: peter green <plugwash@p10link.net>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 615513@bugs.debian.org, debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Wed, 4 Jan 2012 11:23:37 +0000
On Wed, Jan 4, 2012 at 12:24 AM, peter green <plugwash@p10link.net> wrote:
> Luke Kenneth Casson Leighton wrote:
>>
>> On Tue, Jan 3, 2012 at 10:54 PM, Adam D. Barratt
>> <adam@adam-barratt.org.uk> wrote:
>>
>>
>>>
>>> (fwiw, the not-yet-built list includes webkit and ruby1.9.1, each of
>>> which have a number of other packages directly or indirectly stuck
>>> behind them).
>>>
>>
>>
>>  ahh... webkit.  do you have a system anywhere that has 2gb of RAM?
>> if not, i strongly strongly advise skipping the debug builds on any
>> webkit library.
>>
>>  as webkit is mostly c++ and as pretty much everything goes into one
>> massive library with hundreds of object files that are very closely
>> inter-dependent, linking the library requires a whopping 1.5gb of
>> *resident* memory in order to complete within a reasonable amount of
>> time.
>>
>>  anything outside of that - even by a marginal amount - will result in
>> the build machine absolutely thrashing its nuts off.
>>
>>  1gb is not enough (tried it...).  1.5gb will not be enough.  2gb is
>> the bare minimum for the link stage
>
> Well anthiel built the armel webkit package (including debug packages)
> successfully and according to the machines database it only has 1.5Gb of
> ram.
> OTOH the build DID take 33 hours.

 :)  90% of that will have been absolute thrashing the nuts off the
hard drive during the link phase.

 increase that RAM to a mere 2gb and it'll drop drastically to about 3
hours, with the link phase taking only about... *guesses* 20 mins
instead of 30 hours.


> Furthermore the failure on armhf didn't look like a timeout to me, the error
> was "ERROR: can't resolve libraries to shared libraries:
> javascriptcoregtk-3.0, webkitgtk-3.0".

 hmmm... those are internal libraries which are private to webkit.
they get linked into libwebkitXYZgtk-N.N which is the public library
but the symbols in those two libraries must *not* be made publicly
accessible (nor the header files made available either).

 so if the build tries to do anything fancy/special by moving those
out of the location they're supposed to be in to stop them being
public... just speculation but something to watch out for.

 l.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Sat, 07 Jan 2012 23:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 07 Jan 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #112 received at 615513@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 615513@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Sat, 07 Jan 2012 23:04:42 +0000
On Tue, 2012-01-03 at 22:54 +0000, Adam D. Barratt wrote:
> I had been planning on having a look at the situation for both armhf and
> s390x over the period between Christmas and New Year, but for a variety
> of reasons that never happened.  It's still on my short-term to-do list;
> it's not quite as simple as just adding the relevant entries to the
> configuration file, sadly, or we'd have done it already. :-)

An initial push of packages to testing occurred with tonight's britney
run.  There's a certain amount of uninstallability and loads of missing
packages still, but it's a start :)

Note that this doesn't make armhf a release architecture at this point,
and port-specific bugs are still not RC.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Sun, 08 Jan 2012 05:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 08 Jan 2012 05:06:03 GMT) Full text and rfc822 format available.

Message #117 received at 615513@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 615513@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Sun, 08 Jan 2012 05:04:07 +0000
>
> An initial push of packages to testing occurred with tonight's britney
> run.  There's a certain amount of uninstallability and loads of missing
> packages still, but it's a start :)
>   
I guess the next step is to try and get it to the point where it is 
bootstrapable.
When I tried to bootstrap it I got a failure on being unable to find 
mount. On
trying to enter the resulting chroot I noticed bash was missing. On checking
Whether bash was in the packages file or not I found it was not.

So lets try to follow the trail of why armhf bash isn't in.

It seems bash isn't in because bash-static depends on passwd (source 
package shadow)
It seems shadow isn't in because login and passwd depend on 
libpam-modules (source package pam)
It seems pam isn't in because libpam-modules and libpam-cracklib depend 
on libdb5.1 (source package db)
It seems db isn't in because the source versions in testing and unstable 
are different.
It seems the source versions of db in testing an unstable are different 
because jcristau put a block on it
It seems that jcristau blocked it because of waiting for the fix for 
651333 (source package openldap)
And it seems that openldap is being held out of testing by testsuite 
failures on kfreebsd (654824) :(

> Note that this doesn't make armhf a release architecture at this point,
> and port-specific bugs are still not RC.
>
> Regards,
>
> Adam
>
>   





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Mon, 09 Jan 2012 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jan 2012 07:45:04 GMT) Full text and rfc822 format available.

Message #122 received at 615513@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: peter green <plugwash@p10link.net>, 615513@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Mon, 09 Jan 2012 07:43:12 +0000
On Sun, 2012-01-08 at 05:04 +0000, peter green wrote:
> >
> > An initial push of packages to testing occurred with tonight's britney
> > run.  There's a certain amount of uninstallability and loads of missing
> > packages still, but it's a start :)
> >   
> I guess the next step is to try and get it to the point where it is 
> bootstrapable.
[...]
> So lets try to follow the trail of why armhf bash isn't in.
[...]
> And it seems that openldap is being held out of testing by testsuite 
> failures on kfreebsd (654824) :(

Yes, there's still a bunch of work to be done.  Some of it will be
port-specific, some of it more general like trying to get issues in
various packages resolved so that we can unblock migrations from
unstable.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Mon, 09 Jan 2012 09:37:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jan 2012 09:37:24 GMT) Full text and rfc822 format available.

Message #127 received at 615513@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: peter green <plugwash@p10link.net>, 615513@bugs.debian.org
Cc: debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Mon, 9 Jan 2012 10:10:57 +0100
On Tue, Jan 3, 2012 at 11:00 PM, peter green <plugwash@p10link.net> wrote:
> armhf has now pretty much cleared the needs-build queue (the only things
> left are non-free stuff and recently added stuff) and has built arround 89%
> of the archive (placing it between kfreebsd and ia64) with about 99.5% up to
> date (placing it between amd64 and i386). Would now be a good time to begin
> inclusion in testing?

It seems that currently no buildds build packages for experimental. Is
that correct? Is there a plan/timeline for this?


-- 
regards,
    Reinhard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Mon, 09 Jan 2012 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jan 2012 12:51:05 GMT) Full text and rfc822 format available.

Message #132 received at 615513@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: Reinhard Tartler <siretart@gmail.com>, 615513@bugs.debian.org
Cc: peter green <plugwash@p10link.net>, debian-arm@lists.debian.org
Subject: Re: Bug#615513: release.debian.org: armhf inclusion into the archive
Date: Mon, 9 Jan 2012 11:47:13 +0000
On Mon, 09, Jan, 2012 at 10:10:57AM +0100, Reinhard Tartler spoke thus..
> On Tue, Jan 3, 2012 at 11:00 PM, peter green <plugwash@p10link.net> wrote:
> > armhf has now pretty much cleared the needs-build queue (the only things
> > left are non-free stuff and recently added stuff) and has built arround 89%
> > of the archive (placing it between kfreebsd and ia64) with about 99.5% up to
> > date (placing it between amd64 and i386). Would now be a good time to begin
> > inclusion in testing?
> 
> It seems that currently no buildds build packages for experimental. Is
> that correct? Is there a plan/timeline for this?

Yes - it'll be sorted soon once all of the buildds are using autosigning.

Mark

-- 
Mark Hymers <mhy at debian dot org>

"Oh, this is John Reid who is 'Cabinet Bruiser' which just means that he's
 a bit squat, ugly and unpleasant and therefore gets to be called a 'Bruiser'."
     Jeremy Hardy, The News Quiz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#615513; Package release.debian.org. (Thu, 07 Jun 2012 19:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 07 Jun 2012 19:21:03 GMT) Full text and rfc822 format available.

Message #137 received at 615513@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: debian-devel-announce@lists.debian.org
Cc: debian-arm@lists.debian.org, debian-s390@lists.debian.org, 615513@bugs.debian.org
Subject: Bit from the Release Team: armhf and s390x
Date: Thu, 07 Jun 2012 20:17:20 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've just committed a change to britney's configuration, removing all
special-casing of the armhf and s390x architectures.  Both now have
release architecture status for wheezy.

So, what does this mean in practice?

- architecture-specific bugs affecting armhf or s390x may be
release-critical

- installability issues on the architectures are now blockers for
testing migration (actually, they have been for a couple of weeks
already)

- out-of-date binaries on the architectures are now blockers for testing
migration

Thanks to everyone involved in getting both architectures to this point.

Adam
for the Release Team
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 03 Jul 2012 12:42:29 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Tue, 03 Jul 2012 12:42:33 GMT) Full text and rfc822 format available.

Message #142 received at 615513-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 615513-done@bugs.debian.org
Subject: Re: Bug#615513: Bit from the Release Team: armhf and s390x
Date: Tue, 3 Jul 2012 14:15:24 +0200
[Message part 1 (text/plain, inline)]
On Thu, Jun  7, 2012 at 20:17:20 +0100, Adam D. Barratt wrote:

> Hi,
> 
> I've just committed a change to britney's configuration, removing all
> special-casing of the armhf and s390x architectures.  Both now have
> release architecture status for wheezy.
> 
Thus closing the bug.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Aug 2012 07:26:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:40:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.